<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: GeoCoordinate.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_geo_coordinate_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">GeoCoordinate.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_geo_coordinate_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#ifndef GEOCOORDINATE_H</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#define GEOCOORDINATE_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="io__data_8h.html">io_data.h</a>&gt;</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="keyword">namespace </span>framework { <span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div>
<div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="classframework_1_1core_1_1_geo_coordinate.html">   19</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classframework_1_1core_1_1_geo_coordinate.html">GeoCoordinate</a>: <span class="keyword">public</span> <a class="code" href="classframework_1_1core_1_1io__data.html">io_data</a> {</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;        <span class="keyword">public</span>:</div>
<div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="classframework_1_1core_1_1_geo_coordinate_1_1_type.html">   21</a></span>&#160;            <span class="keyword">class </span><a class="code" href="classframework_1_1core_1_1_geo_coordinate_1_1_type.html">Type</a>: <span class="keyword">public</span> <a class="code" href="classframework_1_1core_1_1_data_type.html">DataType</a> {</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;            <span class="keyword">public</span>:</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;                <span class="keywordtype">size_t</span> GetSize()<span class="keyword"> const </span>{</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;                    <span class="keywordflow">return</span> <span class="keyword">sizeof</span>(latitude)+<span class="keyword">sizeof</span>(longitude)+<span class="keyword">sizeof</span>(altitude);</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;                }</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;                std::string GetDescription()<span class="keyword"> const </span>{<span class="keywordflow">return</span> <span class="stringliteral">&quot;lla&quot;</span>;}</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;            };</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;            <a class="code" href="classframework_1_1core_1_1_geo_coordinate.html#a1ffa3e3d7935ae43a50cb2149bded4a2">GeoCoordinate</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1_object.html">Object</a>* parent,std::string name,<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1_geo_coordinate.html">GeoCoordinate</a> *point,<span class="keywordtype">int</span> n=1);</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;            <a class="code" href="classframework_1_1core_1_1_geo_coordinate.html#a1ffa3e3d7935ae43a50cb2149bded4a2">GeoCoordinate</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1_object.html">Object</a>* parent,std::string name,<span class="keywordtype">double</span> latitude,<span class="keywordtype">double</span> longitude,<span class="keywordtype">double</span> altitude,<span class="keywordtype">int</span> n=1);</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;            <a class="code" href="classframework_1_1core_1_1_geo_coordinate.html#ad5c8bedb43f17d2b05be9bd4d8b3367a">~GeoCoordinate</a>();</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1core_1_1_geo_coordinate.html#ad5d522e9bdb3e197c808e8d157c4d703">CopyFrom</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1_geo_coordinate.html">GeoCoordinate</a> *point);</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1core_1_1_geo_coordinate.html#a7b72cda95437b7e8e23fc26d710b13ec">SetCoordinates</a>(<span class="keywordtype">double</span> latitude,<span class="keywordtype">double</span> longitude,<span class="keywordtype">double</span> altitude);</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1core_1_1_geo_coordinate.html#a0df0267cc919968ecd9ba2025f1234a6">GetCoordinates</a>(<span class="keywordtype">double</span> *latitude,<span class="keywordtype">double</span> *longitude,<span class="keywordtype">double</span> *altitude) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;            <a class="code" href="classframework_1_1core_1_1_geo_coordinate_1_1_type.html">Type</a> <span class="keyword">const</span> &amp;GetDataType()<span class="keyword"> const </span>{<span class="keywordflow">return</span> dataType;}</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;        <span class="keyword">private</span>:</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;            <span class="keywordtype">void</span> CopyDatas(<span class="keywordtype">char</span>* ptr) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;            <span class="keywordtype">double</span> latitude;</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;            <span class="keywordtype">double</span> longitude;</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;            <span class="keywordtype">double</span> altitude;</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;            Type dataType;</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;    };</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;} <span class="comment">// end namespace core</span></div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;} <span class="comment">// end namespace framework</span></div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;<span class="preprocessor">#endif // GEOCOORDINATE_H</span></div>
<div class="ttc" id="classframework_1_1core_1_1io__data_html"><div class="ttname"><a href="classframework_1_1core_1_1io__data.html">framework::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:69</div></div>
<div class="ttc" id="classframework_1_1core_1_1_geo_coordinate_html_ad5c8bedb43f17d2b05be9bd4d8b3367a"><div class="ttname"><a href="classframework_1_1core_1_1_geo_coordinate.html#ad5c8bedb43f17d2b05be9bd4d8b3367a">framework::core::GeoCoordinate::~GeoCoordinate</a></div><div class="ttdeci">~GeoCoordinate()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_geo_coordinate_html_a7b72cda95437b7e8e23fc26d710b13ec"><div class="ttname"><a href="classframework_1_1core_1_1_geo_coordinate.html#a7b72cda95437b7e8e23fc26d710b13ec">framework::core::GeoCoordinate::SetCoordinates</a></div><div class="ttdeci">void SetCoordinates(double latitude, double longitude, double altitude)</div><div class="ttdoc">Set coordinates. </div></div>
<div class="ttc" id="io__data_8h_html"><div class="ttname"><a href="io__data_8h.html">io_data.h</a></div><div class="ttdoc">Abstract class for data types. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_geo_coordinate_1_1_type_html"><div class="ttname"><a href="classframework_1_1core_1_1_geo_coordinate_1_1_type.html">framework::core::GeoCoordinate::Type</a></div><div class="ttdef"><b>Definition:</b> GeoCoordinate.h:21</div></div>
<div class="ttc" id="classframework_1_1core_1_1_geo_coordinate_html"><div class="ttname"><a href="classframework_1_1core_1_1_geo_coordinate.html">framework::core::GeoCoordinate</a></div><div class="ttdoc">Class defining a point by its lla coordinates. </div><div class="ttdef"><b>Definition:</b> GeoCoordinate.h:19</div></div>
<div class="ttc" id="classframework_1_1core_1_1_data_type_html"><div class="ttname"><a href="classframework_1_1core_1_1_data_type.html">framework::core::DataType</a></div><div class="ttdef"><b>Definition:</b> io_data.h:21</div></div>
<div class="ttc" id="classframework_1_1core_1_1_object_html"><div class="ttname"><a href="classframework_1_1core_1_1_object.html">framework::core::Object</a></div><div class="ttdoc">Base class for all Framework&#39;s classes. </div><div class="ttdef"><b>Definition:</b> Object.h:75</div></div>
<div class="ttc" id="classframework_1_1core_1_1_geo_coordinate_html_a0df0267cc919968ecd9ba2025f1234a6"><div class="ttname"><a href="classframework_1_1core_1_1_geo_coordinate.html#a0df0267cc919968ecd9ba2025f1234a6">framework::core::GeoCoordinate::GetCoordinates</a></div><div class="ttdeci">void GetCoordinates(double *latitude, double *longitude, double *altitude) const </div><div class="ttdoc">Get coordinates. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_geo_coordinate_html_a1ffa3e3d7935ae43a50cb2149bded4a2"><div class="ttname"><a href="classframework_1_1core_1_1_geo_coordinate.html#a1ffa3e3d7935ae43a50cb2149bded4a2">framework::core::GeoCoordinate::GeoCoordinate</a></div><div class="ttdeci">GeoCoordinate(const Object *parent, std::string name, const GeoCoordinate *point, int n=1)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_geo_coordinate_html_ad5d522e9bdb3e197c808e8d157c4d703"><div class="ttname"><a href="classframework_1_1core_1_1_geo_coordinate.html#ad5d522e9bdb3e197c808e8d157c4d703">framework::core::GeoCoordinate::CopyFrom</a></div><div class="ttdeci">void CopyFrom(const GeoCoordinate *point)</div><div class="ttdoc">Copy. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d9f696bd07998dbcfc5b49e19dc5f66d.html">igep</a></li><li class="navelem"><a class="el" href="dir_7775cfc2302e50905e8c794823e78d65.html">uav_lib</a></li><li class="navelem"><a class="el" href="dir_3d8b3ef72b6bddf04a7da37c46c6171b.html">framework</a></li><li class="navelem"><a class="el" href="dir_b562b7e28db909b473d6df8cfc340e1a.html">Framework</a></li><li class="navelem"><a class="el" href="dir_351818660e8c85d910ad9decfeb820b5.html">src</a></li><li class="navelem"><a class="el" href="_geo_coordinate_8h.html">GeoCoordinate.h</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
